Bug 853909 - Anaconda no ask for a root password, after the installation, entering su - without any password the system give me root
Anaconda no ask for a root password, after the installation, entering su - wi...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Sivák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 06:03 EDT by xset1980
Modified: 2012-10-17 08:23 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-17 08:23:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xset1980 2012-09-03 06:03:04 EDT
Description of problem:

F18 Alpha TC5 KDE Spin, in the installation process, Anaconda ask for user and password, but no for root password, so, after the installation the root user exist, but without password, then, i type su - and i'm root without any pass


Version-Release number of selected component (if applicable):

F18 TC5 KDE Spin i686 Live CD
md5sum: b26a6da9d0ddbb0ed9e22212bd0f613d
How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Chris Lumens 2012-09-03 15:08:59 EDT
Did you create a user during firstboot or during some other post-installation process?
Comment 2 xset1980 2012-09-04 04:03:53 EDT
(In reply to comment #1)
> Did you create a user during firstboot or during some other
> post-installation process?

Yes, a normal user. After the first reboot, the firstboot ask me for a user, name and password, but not for root user.
The work around that i uses, is passwd logged as root, and done, the root user that yes exist, have a password no NULL.
Comment 3 Chris Lumens 2012-09-04 09:47:09 EDT
We should perhaps change firstboot to make sure the sudo line written out requires a password.  However, the rest is working as planned.
Comment 4 Martin Sivák 2012-09-04 09:57:10 EDT
There is Password spoke visible on the main hub screen. Did you entered and leaved the screen or did you missed is completely?
Comment 5 xset1980 2012-09-20 23:27:38 EDT
Martin(In reply to comment #4)
> There is Password spoke visible on the main hub screen. Did you entered and
> leaved the screen or did you missed is completely?

Fixed with the new LiveCD Fedora 18 KDE Alpha RC3.

Note You need to log in before you can comment on or make changes to this bug.